Subject: bug#70049: 30.0.50; (server-running-p) in mode line freezes emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2024 18:26:30 +0200

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Thu, 28 Mar 2024 17:03:36 +0100
> Cc: [email-masked]
> 
> When I say freeze, I mean it becomes irresponsive and does not respond to Ctrl-G and GNOME detects the
> situation, opening a 'force quit' dialog. It also happens in macOS, and there I can only force quit emacs. I've
> opened this bug, because there was something similar around putting a VC indicator in the mode-line. 

Can you look at the CPU meter and tell if Emacs consumes CPU in this
state or not?

> It might not be solvable, but at least I think it is worth discussing and documenting. Who knows if this could
> not end in a DONT-DO sort of document, which might also be of some merit and use.

Sure, we are discussing it and trying to figure out what causes this.